ktp-common-internals (22.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.11.90).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.1, no change required.
  * Refresh patches.
  * New upstream release (22.12.0).
  * Update the list of installed files from build logs.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 11 Dec 2022 23:06:45 +0100

ktp-common-internals (21.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (21.12.3).
  * Added myself to the uploaders.
  * Drop kde-l10n migration rules, not needed anymore.
  * Drop dbgsym migration rules, not needed anymore.
  * Bump Standards-Version to 4.6.0, no change required.
  * Refresh upstream metadata.
  * Drop obsolete Breaks / Replaces.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 04 Apr 2022 22:48:21 +0200

ktp-common-internals (21.08.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.0).

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 16:30:48 +0900

ktp-common-internals (21.04.0-1) experimental; urgency=medium

  [ Pino Toscano ]
  * Remove the Multi-Arch from libktpotr9, as it has files with conflicting
    multiarch paths.

  [ Norbert Preining ]
  * New upstream release (21.04.0).
  * Borrow minimal upstream signing key from k3b.
  * Drop Kubuntu from maintainer name.
  * Removed Mark Purcell from the uploaders, thanks for your work on the
    package!
  * Added myself to the uploaders.
  * Update lists of installed files.

 -- Norbert Preining <norbert@preining.info>  Thu, 06 May 2021 10:16:40 +0900

ktp-common-internals (20.08.0-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * New upstream release.
  * Enable again the kaccounts integration:
    - enable the libkaccounts-dev build dependency, bumping it to 20.04.0
    - install again the plugin in kde-telepathy-kaccounts
    - remove all the lintian overrides for it

 -- Pino Toscano <pino@debian.org>  Thu, 13 Aug 2020 21:58:02 +0200

ktp-common-internals (20.04.3-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the patches:
    - ftbfs-with-telepathyqt-098: drop, backported from upstream
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.5
    - bump libtelepathy-qt5-dev to 0.9.8
  * Switch from dhmk to the dh sequencer:
    - invoke the dh sequencer using the kf5, and pkgkde_symbolshelper addons
    - call the right debhelper command instead of $(overridden_command)
    - manually force the generation of the substvars for the kde-l10n breaks
  * Bump the debhelper compatibility to 13:
    - switch the debhelper build dependency to debhelper-compat 13
    - remove debian/compat
    - stop passing --list-missing to dh_install, as the default behaviour is
      --fail-missing now
  * Add Rules-Requires-Root: no.
  * Bump Standards-Version to 4.5.0, no changes required.
  * Add the configuration for the CI on salsa.
  * Few libraries had ABI breaks with no SONAME bump, so:
    - apply the Debian ABI manager; patch enable_debianabimanager.diff
    - rename libktpcommoninternals9 to libktpcommoninternals9abi1
    - rename libktplogger9 to libktplogger9abi1
    - rename libktpmodels9 to libktpmodels9abi1
  * Temporarily disable the kaccount integration, as it requires libkaccount
    >= 20.04 (not available yet in Debian).
  * Update symbols files.
  * Update install files.
  * Update lintian overrides.
  * Rework the dependencies of libktp-dev: use the sodep dh addon to generate
    the list shared libraries to depend on, and use the ${so:Depends} substvar.
  * Tighten the inter-library dependencies.
  * Mark kde-telepathy-data as Multi-Arch: foreign, and all the library
    packages as Multi-Arch: same.

 -- Pino Toscano <pino@debian.org>  Wed, 05 Aug 2020 12:15:16 +0200

ktp-common-internals (17.08.3-2) unstable; urgency=medium

  * Team upload.

  [ John Scott ]
  * Fix FTBFS with Telepathy-Qt 0.9.8 (Closes: #949236)
  * Switch VCS links to Salsa

  [ Aurélien COUDERC ]
  * Switch watch file to new KDE release service URL.
  * Borrow minimal upstream signing key from k3b and activate upstream tarball
    signature check.
  * Add missing Replaces: libktpcommoninternalsprivate7.
  * Build with hardening=+all build hardening flag.
  * Add lintian override for ktp-debugger not having a manpage, upstream
    doesn’t provide one and it doesn’t have command line arguments.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 11 Mar 2020 23:08:53 +0100

ktp-common-internals (17.08.3-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * New upstream release.
  * Bump Standards-Version to 4.1.2, no changes required.
  * Simplify watch file, and switch it to https.
  * Remove trailing whitespaces in changelog.
  * Update few build & runtime dependencies:
    - bump libtelepathy-logger-qt-dev to >= 17.08~
    - bump libtelepathy-qt5-dev to >= 0.9.7~
  * Update symbols files.
  * Remove duplicated Priority in kde-telepathy-debugger.
  * Adjust l10npkgs_firstversion_ok to the version where kde-l10n will
    drop translations.

 -- Pino Toscano <pino@debian.org>  Sat, 09 Dec 2017 08:35:36 +0100

ktp-common-internals (17.08.1-1) experimental; urgency=medium

  * Set Priority to optional
  * New upstream release (17.08.1).
  * Update symbols files
  * Add breaks/replaces against the kde-l10n packages
  * Bump group breaks (17.08)
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Mon, 11 Sep 2017 19:59:12 +0200

ktp-common-internals (16.04.2-1) experimental; urgency=medium

  [ Automatic packaging ]
  * Update symbols files from buildds logs (16.04.1-1).

 -- Maximiliano Curia <maxy@debian.org>  Thu, 23 Jun 2016 14:36:57 +0200

ktp-common-internals (16.04.1-1) experimental; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (15.12.2).
  * Add dependency required by the cmake files
  * Update install files

  [ Automatic packaging ]
  * Bump Standards-Version to 3.9.8
  * Update build-deps and deps with the info from cmake
  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 27 May 2016 11:06:37 +0200

ktp-common-internals (15.12.1-2) experimental; urgency=medium

  * Add missing dependency to the -dev package.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 12 Feb 2016 09:41:54 +0100

ktp-common-internals (15.12.1-1) experimental; urgency=medium

  [ Harald Sitter ]
  * KDE Frameworks 5 port
    + rename lib packages for sobump
    + rename -dev package to libktp-dev to match the cmake config one
      would be looking for. Also it contains more than one library anyway.
    + rename -dbg to libktp-dbg to align with the dev and also because it
      affects more than one lib
      + Add all library packages as possibly depends for the dbg package. Any
        one of them may be neeeded depending on the app one wants to debug.
    + Remove kde-telepathy-kpeople for now as kpeople is not released.
    + Rename kde-telepathy-declarative to qml-module-org-kde-telepathy to
      align with the implicit naming policy for qml modules in Qt5 (no
      conflicts)
    + Update watch file. The source now is released as part of applications.

  [ Scarlett Clark ]
  * This needs libtelepathy-logger-qt5-dev it is a kf5 app.
  * Remove the non existant version dep for above.
  * Try libtelepthy-logger-qt-dev again.
  * OTR requires telepathy-qt5 >= 0.9.5

  [ Diane Trout ]
  * Remove all 4 relicensing patches, applied upstream.

  [ Maximiliano Curia ]
  * New upstream release (15.12.0).
  * New upstream release (15.12.1).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 01 Feb 2016 10:23:39 +0100

ktp-common-internals (15.08.3-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * libktpcommoninternals9: Add Breaks: libktpcommoninternalsprivate7 to
    ensure smooth upgrade paths from jessie.  (Closes: #856599)

 -- Andreas Beckmann <anbe@debian.org>  Tue, 21 Mar 2017 16:20:51 +0100

ktp-common-internals (15.08.3-1) unstable; urgency=medium

  * New upstream release.

 -- Diane Trout <diane@ghic.org>  Wed, 02 Dec 2015 21:18:53 -0800

ktp-common-internals (15.08.2-3) unstable; urgency=medium

  * Add kaccounts-integration dependes to libktpcommoninternals9

 -- Diane Trout <diane@ghic.org>  Tue, 10 Nov 2015 10:12:44 -0800

ktp-common-internals (15.08.2-2) unstable; urgency=medium

  * Update libktpcommoninternals9 qt logger dependency to
    libtelepathy-logger-qt5 (>= 15.04) (Closes: #804409)
  * Change Diane Trouts email address back. (ease of SPAM filtering)
  * Add telepathy-accounts-signon dependency to libktpcommoninternals9,
    which is needed to integrate with kaccounts system.
  * Confirm symbols on other architectures.

 -- Diane Trout <diane@ghic.org>  Mon, 09 Nov 2015 11:33:33 -0800

ktp-common-internals (15.08.2-1) unstable; urgency=medium

  * Apply homepage update patch from Matthew Cope
  * Update Diane Trout's email address.
  * Update watchfile for kde-telepathys inclusion in KDE Applications.
  * New upstream release.
  * Update library package names to match new SONAME.
  * Rename library packages to remove the "private" suffix.
  * Replace old symbols files with new ones for the new SONAME.
  * Update build-dependencies according to cmake rules.
    - Add extra-cmake-modules, qtdeclarative5-dev,
      libkf5coreaddons-dev, libkf5notifcations-dev, kio-dev,
      libkf5widgetsaddons-dev, libkf5kcmutils-dev,
      libkf5notifyconfig-dev, libkf5texteditor-dev, libkf5wallet-dev,
      libkf5config-dev libkf5windowsystem-dev, libkf5iconthemes-dev,
      libaccounts-qt5-dev >= 1.10
      qtdeclarative5-dev, libtelepathy-logger-qt-dev, libkaccounts-dev,
      libsignon-qt5-dev, libkf5kpeople
  * Update date range and add Aleix Pols last name in the copyright file.
  * Change kpeople build dependiency to libkf5people-dev (>= 0.5.0)
  * Change build-depends telepathy-qt and telepathy-logger-qt to qt5
    versions.
  * Update install paths to the new KF5 locations.
    e.g. out of /usr/share/kde4, libraries into multi-arch directories,
    and the new SONAME library filenames.
  * Remove unused blocks KTp/ktp-export.h and po/* from copyright file.
  * Rename liblktpcommoninterals-dev to libktp-dev
  * Rename kde-telepathy-declarative to qml-module-org-kde-telepathy
  * Add kde-telepathy-kaccounts package.
  * Use --fail-missing to make it easier to find not installed files.
  * Rename libktpcommoninternals-dbg to libktp-dbg to match -dev file
  * Use dhmk from pkg-kde-tools to build ktp.
    - Change maintainer to debian-qt-kde
    - Update debian/rules
  * Add breaks/replaces libktpotrprivate9 to help migrate to new name
  * Add KDE's unstable download url to watch file
  * Update symbols files to be compatible with GCC-5
  * Update kde-telepathy-kepople.install to rules track kpeople related plugins
  * Add dh_install --list-missing to make sure everything is installed.
  * Break/Replace libktpotrprivate8.
  * Add patches listed below to deal with various licensing issues.
    These have all been submitted upstream/accepted upstream.
    - 0001-Relicense-invalid-license-to-LGPL-2.1.patch
    - 0002-Relicense-invalid-license-to-LGPL-2.1.patch
    - 0003-Relicense-David-Edmundson-s-code-to-LGPL-2.1-to-matc.patch
    - 0004-Add-GPLv2-COPYING-file-as-there-s-a-few-files-still-.patch
    See:
    https://git.reviewboard.kde.org/r/125780/
    https://git.reviewboard.kde.org/r/125923/
    https://git.reviewboard.kde.org/r/125925/
  * Update copyright file to match the above licensing fixes.

 -- Diane Trout <diane@debian.org>  Fri, 06 Nov 2015 21:27:53 -0800

ktp-common-internals (0.9.0-1) unstable; urgency=medium

  [ Jonathan Riddell ]
  * New upstream release
  * Merge with Debian, no changes
  * Make -dev package depend on libktpotrprivate8
  * kde-telepathy-kpeople breaks/replaces old kde-telepathy-data

  [ Diane Trout ]
  * Pull changes from Kubuntu.
  * Update libktpcommoninternalsprivate7 SONAME to 8
    - libktploggerprivate7 -> libktploggerprivate8
    - libktpmodelsprivate7 -> libktpmodelsprivate8
    - libktpwidgetsprivate7 -> libktpwidgetsprivate8
  * Bump libtelepathy-qt4-dev build-depends to 0.9.5
  * Remove shared-desktop-ontolgies build-dep
  * Bump libkpeople build-dep to 0.3.0
  * Add libotr5-dev and libgcrypt11-dev build-dep to enable OTR support.
  * Add kpeople_chat_plugin.so and associated desktop file to
    kde-telepathy-kpeople package.
  * Update copyright file.
  * Update description to use better English (Closes: #769362)
    Thanks Filipus Klutiero
  * Update Standards-Version to 3.9.6.0. No changes needed.
  * Update debian/watch file.

 -- Diane Trout <diane@ghic.org>  Sat, 25 Apr 2015 19:30:59 -0700

ktp-common-internals (0.9.0-0ubuntu3) vivid; urgency=medium

  * kde-telepathy-kpeople breaks/replaces old kde-telepathy-data

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 05 Nov 2014 12:27:52 +0100

ktp-common-internals (0.9.0-0ubuntu2) vivid; urgency=medium

  * Make -dev package depend on libktpotrprivate8

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 03 Nov 2014 16:10:47 +0100

ktp-common-internals (0.9.0-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * Merge with Debian, no changes

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 28 Oct 2014 13:14:01 +0100

ktp-common-internals (0.8.1-4) unstable; urgency=medium

  * Make sure telepathy-logger is installed (Closes: #774552)

 -- Diane Trout <diane@ghic.org>  Sun, 11 Jan 2015 21:19:37 -0800

ktp-common-internals (0.8.1-3) unstable; urgency=medium

  * Update kde-telepathy-kpeople description.
  * Fix typo thanks Filipus Klutiero (Closes: #759756)

 -- Diane Trout <diane@ghic.org>  Sun, 02 Nov 2014 11:54:54 -0800

ktp-common-internals (0.8.1-2) unstable; urgency=medium

  * Fix typo in copyright file.

 -- Diane Trout <diane@ghic.org>  Mon, 19 May 2014 11:25:06 -0700

ktp-common-internals (0.8.1-1) unstable; urgency=low

  * Imported upstream 0.8.1
  * Bump libktpcommoninternalsprivate6 SONAME to 7
  * Update share library symlinks to match package version.
  * Bump libtelepathy-logger-qt4-dev dependency to >= 0.8.0
  * Set libkpeople-dev build dependency to >= 0.2.2
  * Bump Standards-Version to 3.9.5. No changes needed.
  * Enable kpeople
  * Split libraries from common-internals into additional packages.
  * Add symbols files.
  * Fix description typo (Closes: #745313, #745314)
  * Update debian/copyright

 -- Diane Trout <diane@ghic.org>  Sun, 18 May 2014 21:28:24 -0700

ktp-common-internals (0.7.0-1) unstable; urgency=low

  * Imported upstream 0.7.0
  * Ship new libraries libktploggerprivate.
  * Ship plugins imdetailswidgetplugin, im_persons_data_source_plugin,
    ktploggerplugin, ktp_kpeople_plugin, nepomuktelepathyservice
  * Bump libktpcommoninternalsprivate SONAME to 6
  * Add desktop and service files for new plugins
  * Split kpeople nepomuk support into a separate package.
    KPeople is currently disabled as recommended by upstream.

 -- Diane Trout <diane@ghic.org>  Tue, 05 Nov 2013 09:54:57 -0800

ktp-common-internals (0.8.1-0ubuntu1) utopic; urgency=medium

  * New upstream release (LP: #1313611)

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 28 Apr 2014 15:35:35 +0200

ktp-common-internals (0.8.0-0ubuntu1) trusty; urgency=medium

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 01 Apr 2014 12:59:21 +0200

ktp-common-internals (0.7.80-0ubuntu2) trusty; urgency=medium

  * Bump KPeople requirement

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 18 Feb 2014 17:22:20 +0100

ktp-common-internals (0.7.80-0ubuntu1) trusty; urgency=medium

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 18 Feb 2014 00:12:31 +0100

ktp-common-internals (0.7.1-0ubuntu1) trusty; urgency=medium

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 29 Jan 2014 19:44:32 +0100

ktp-common-internals (0.7.0-0ubuntu1) trusty; urgency=low

  * New upstream release
  * Release packaging from debian experimental git

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 28 Oct 2013 18:03:20 +0100

ktp-common-internals (0.6.3-1fakesync1ubuntu1) saucy; urgency=low

  * kde-telepathy-declarative replaces/breaks libktpcommoninternalsprivate5

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 21 Aug 2013 15:56:17 +0100

ktp-common-internals (0.6.3-1fakesync1) saucy-proposed; urgency=low

  * Fake sync due to mismatching orig tarball (LP: #1212826).

 -- Jackson Doak <noskcaj@ubuntu.com>  Wed, 21 Aug 2013 12:49:46 +0200

ktp-common-internals (0.6.3-1) unstable; urgency=low

  * Imported Upstream version 0.6.3
  * Drop marginally useful libktpcommoninternalsprivate5.symbols
    - Fixes "FTBFS: symbols differ from expectations" (Closes: #719048)

 -- Mark Purcell <msp@debian.org>  Sat, 10 Aug 2013 09:19:39 +1000

ktp-common-internals (0.6.2-1) unstable; urgency=low

  [ Diane Trout ]
  * Imported Upstream version 0.6.2
  * Set Uploaders to Diane Trout and Michał Zając
  * Add kde-telepathy-debugger package (Thanks: Ubuntu)
  * Update libktpcommoninteralsprivate soversion to 5
  * Build kde-telepathy-declarative package for QML components
  * Require libtelepathy-qt4 >= 0.9.3
  * Require libtelepathy-logger-qt4-dev >= 0.6.0
  * Updated to Standards-Version 3.9.4. No changes needed.
  * Add symbols file for libktpcommoninternalsprivate5
  * Remove dh_makeshlibs debian/rules target.
  * Update watch file as KDE-Telepathy is now in KDE stable.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Improve a little kde-telepathy-data's long description.

  [ Mark Purcell ]
  * Add myself to Uploaders

 -- Mark Purcell <msp@debian.org>  Sat, 03 Aug 2013 13:49:22 +1000

ktp-common-internals (0.4.0-1) unstable; urgency=low

  * Initial release.

 -- George Kiagiadakis <kiagiadakis.george@gmail.com>  Mon, 18 Jun 2012 22:16:51 +0300
